﻿.fg-image-container {
    position: relative;
}

.fg-image-container:after {
    content: '\A';
    position: absolute;
    width: 100%; height:100%;
    top:0; left:0;
    background: var(--fg-color-overlay);
    transition: all 1s;
    -webkit-transition: all 1s;
}

.fg-image-container .fg-image-filename {
    position: absolute;
    z-index: 2;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 200px;
    max-height: 200px;
    text-overflow: ellipsis;
    overflow: hidden;
}

.fg-image-container .fg-image {
    object-fit: cover;
}

.fg-image-remove-btn {
    position: absolute;
    z-index: 2;
    top: 0;
    right: 0;
}